from django.contrib import admin
from .models import Contract, Employee, ChargeNumber, TimeCard, TimeCardCell, UserProfile

class ContractAdmin(admin.ModelAdmin):
    pass

class EmployeeAdmin(admin.ModelAdmin):
    pass

class UserProfileAdmin(admin.ModelAdmin):
    list_display = ("user", "user_type")
    list_filter = ("user_type",)

class ChargeNumberAdmin(admin.ModelAdmin):
    pass

class TimeCardAdmin(admin.ModelAdmin):
    pass

class TimeCardCellAdmin(admin.ModelAdmin):
    pass

admin.site.register(Contract, ContractAdmin)
admin.site.register(Employee, EmployeeAdmin)
admin.site.register(UserProfile, UserProfileAdmin)
admin.site.register(ChargeNumber, ChargeNumberAdmin)
admin.site.register(TimeCard, TimeCardAdmin)
admin.site.register(TimeCardCell, TimeCardCellAdmin)
